> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skills.video/llms.txt
> Use this file to discover all available pages before exploring further.

# Qwen 3 TTS 1.7B

Text-to-speech with preset voices or cloned speaker embeddings and controllable decoding parameters.


## OpenAPI

````yaml /openapi.json post /generation/fal-ai/qwen-3-tts/text-to-speech/1.7b
openapi: 3.1.0
info:
  title: skills.video OpenAPI
  version: 1.0.0
  description: OpenAPI schema for skills.video API endpoints.
servers:
  - url: https://open.skills.video/api/v1
security: []
paths:
  /generation/fal-ai/qwen-3-tts/text-to-speech/1.7b:
    post:
      summary: Qwen 3 TTS 1.7B
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/qwen_qwen_3_tts_text_to_speech_1_7bCreateRequest
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/qwen_qwen_3_tts_text_to_speech_1_7bMultipartCreateRequest
      responses:
        '200':
          description: Generation submission accepted
          content:
            application/json:
              example:
                id: gen_123
                status: IN_QUEUE
                input:
                  prompt: lofi piano with soft rain ambience
                  duration: 15
                usage:
                  total: 20
                  subscription: 20
                  permanent: 0
              schema:
                $ref: >-
                  #/components/schemas/qwen_qwen_3_tts_text_to_speech_1_7bPrediction
        '400':
          description: >-
            TTS generation request was rejected as invalid or model is not
            supported.
          content:
            application/json:
              example:
                error: TTS_GENERATION_INVALID_INPUT
                code: TTS_GENERATION_INVALID_INPUT
                message: '''prompt'' parameter is required'
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TtsGenerationErrorResponse'
                  - $ref: '#/components/schemas/TemplateErrorResponse'
                  - $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required or failed
          content:
            application/json:
              example:
                error: UNAUTHORIZED
                code: UNAUTHORIZED
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Workspace does not have enough credits to run this generation.
          content:
            application/json:
              example:
                error: INSUFFICIENT_CREDITS
                code: TTS_GENERATION_INSUFFICIENT_CREDITS
                message: Insufficient credits for this generation.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
        '403':
          description: Workspace access is forbidden or Seedance verification is required.
          content:
            application/json:
              example:
                error: WORKSPACE_FORBIDDEN
                code: WORKSPACE_FORBIDDEN
                message: You do not have access to this workspace.
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/SeedanceVerificationErrorResponse'
        '404':
          description: Resource, model, or template not found.
          content:
            application/json:
              example:
                error: TEMPLATE_NOT_FOUND
                code: TEMPLATE_NOT_FOUND
                message: Template not found.
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - $ref: '#/components/schemas/TemplateErrorResponse'
        '422':
          description: Upstream moderation rejected the request content.
          content:
            application/json:
              example:
                error: TTS_GENERATION_CONTENT_REJECTED
                code: TTS_GENERATION_CONTENT_REJECTED
                message: Request content was rejected by the moderation policy.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
        '429':
          description: Generation rate limit exceeded upstream.
          content:
            application/json:
              example:
                error: TTS_GENERATION_RATE_LIMITED
                code: TTS_GENERATION_RATE_LIMITED
                message: Rate limit exceeded. Please retry later.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
        '500':
          description: >-
            TTS generation failed before provider execution completed. Response
            includes code and message fields.
          content:
            application/json:
              example:
                error: TTS_GENERATION_FAILED
                code: TTS_GENERATION_FAILED
                message: Generation failed.
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TtsGenerationErrorResponse'
                  - $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: >-
            TTS generation failed. Returned when the upstream provider reports a
            generic failure.
          content:
            application/json:
              example:
                error: TTS_GENERATION_FAILED
                code: TTS_GENERATION_FAILED
                message: Generation failed.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
        '503':
          description: Upstream generation provider is unavailable.
          content:
            application/json:
              example:
                error: TTS_GENERATION_PROVIDER_UNAVAILABLE
                code: TTS_GENERATION_PROVIDER_UNAVAILABLE
                message: Upstream generation provider is temporarily unavailable.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
        '504':
          description: TTS generation exceeded the upstream timeout.
          content:
            application/json:
              example:
                error: TTS_GENERATION_TIMEOUT
                code: TTS_GENERATION_TIMEOUT
                message: Generation timed out.
              schema:
                $ref: '#/components/schemas/TtsGenerationErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    qwen_qwen_3_tts_text_to_speech_1_7bCreateRequest:
      $ref: '#/components/schemas/qwen_qwen_3_tts_text_to_speech_1_7bInput'
      title: Qwen 3 TTS 1.7B Input
    qwen_qwen_3_tts_text_to_speech_1_7bMultipartCreateRequest:
      title: Qwen 3 TTS 1.7B Input
      type: object
      properties:
        text:
          description: The text to be converted to speech.
          title: Text
          examples:
            - >-
              I am solving the equation x = (-b +/- sqrt(b^2-4ac)) / 2a. Nobody
              can, it is a disaster and very sad.
          order: 1
          xPlaceholder: Enter text to convert to speech...
          xRows: 4
          xUiKind: textarea
          xTemplateRequired: true
          type: string
        prompt:
          description: >-
            Optional prompt to guide the style of generated speech. Ignored when
            speaker embedding is provided.
          title: Style Prompt
          examples:
            - Very happy.
          order: 2
          xPlaceholder: e.g. Very happy.
          xRows: 2
          xUiKind: textarea
          type: string
        voice:
          description: >-
            Preset voice for synthesis. Ignored when speaker embedding is
            provided.
          title: Voice
          examples:
            - Vivian
          order: 3
          xMeta:
            voiceProfiles:
              - id: Vivian
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - bright
                  - slightly edgy
                  - young
                previewUrl: >-
                  https://s.skills.video/6/8_QRF_89_Ijgf_ZL_Uf4_PM_2rf_a12_J34_UA_865d1c918d_773576f4cf.mp3
              - id: Serena
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - warm
                  - gentle
                  - young
                previewUrl: >-
                  https://s.skills.video/6/Hlcm_T_Sb_Q_k2_R0d2ow_WS_Lr_MK_Nb5k8_G_315b5a4879_06d7a74a81.mp3
              - id: Uncle_Fu
                language: Chinese
                languageCode: zh
                gender: male
                styleTags:
                  - seasoned
                  - low
                  - mellow
                previewUrl: >-
                  https://s.skills.video/6/Zq_Xqv_BU_89l7_M3_XKKHN_6_UU_Pwi3m0_a2b27c13cb_50d9bb47a3.mp3
              - id: Dylan
                language: Chinese (Beijing Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - beijing dialect
                  - youthful
                  - clear
                previewUrl: >-
                  https://s.skills.video/6/FKO_Zd_Jtg_IR_Ix_Sw0_LM_3_Pc_J_L_Jj_Ljem5_bfd941bdf4_fb07964a16.mp3
              - id: Eric
                language: Chinese (Sichuan Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - sichuan dialect
                  - lively
                  - husky
                previewUrl: >-
                  https://s.skills.video/6/x90_Lg8t6kz_PZ_5n_Rxnu_If_F_j9_UQKP_87_02a09f36fd_e82722b118.mp3
              - id: Ryan
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - dynamic
                  - rhythmic
                  - energetic
                previewUrl: >-
                  https://s.skills.video/6/g_Hw_IY_1_Q8l_B_Mx_CUYD_6_Qd_My_xya_QCPRI_afa60a3b52_4b05c8415e.mp3
              - id: Aiden
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - sunny
                  - american
                  - clear midrange
                previewUrl: >-
                  https://s.skills.video/6/f_Og_Q4k5hky2_DK_Zr_KCNTA_a_H9_EIM_8i_0d46328589_abdfd46131.mp3
              - id: Ono_Anna
                language: Japanese
                languageCode: ja
                gender: female
                styleTags:
                  - playful
                  - light
                  - nimble
                previewUrl: >-
                  https://s.skills.video/6/gbryl_Ve_Co7z_GXUI_Mt_Rd_Q_w_LA_Bq_Yq8_9ac8d73014_2ee8418e3a.mp3
              - id: Sohee
                language: Korean
                languageCode: ko
                gender: female
                styleTags:
                  - warm
                  - emotional
                  - rich
                previewUrl: >-
                  https://s.skills.video/6/W_Ppg_K_Bul_Uk_I_Wyh_Mw_T_Nh_h_E6_P3_O_Cn_3273716cb7_9d5896f0c3.mp3
          type: string
          enum:
            - Vivian
            - Serena
            - Uncle_Fu
            - Dylan
            - Eric
            - Ryan
            - Aiden
            - Ono_Anna
            - Sohee
        language:
          description: The language of the voice.
          title: Language
          examples:
            - English
          order: 4
          default: Auto
          type: string
          enum:
            - Auto
            - English
            - Chinese
            - Spanish
            - French
            - German
            - Italian
            - Japanese
            - Korean
            - Portuguese
            - Russian
        speaker_voice_embedding_file_url:
          description: >-
            URL to a speaker embedding safetensors file from
            `fal-ai/qwen-3-tts/clone-voice`. If provided, cloned voice is used
            instead of predefined voices.
          title: Speaker Embedding URL
          examples:
            - >-
              https://storage.googleapis.com/falserverless/example_outputs/qwen3-tts/clone_out.safetensors
          format: uri
          order: 5
          xPlaceholder: https://...
          type: string
        reference_text:
          description: >-
            Optional reference text used when creating the speaker embedding.
            This can improve quality when using cloned voice.
          title: Reference Text
          examples:
            - >-
              Okay. Yeah. I resent you. I love you. I respect you. But you know
              what? You blew it!
          order: 6
          xRows: 3
          xUiKind: textarea
          type: string
        top_k:
          description: Top-k sampling parameter.
          title: Top K
          order: 7
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        top_p:
          description: Top-p sampling parameter.
          title: Top P
          order: 8
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        temperature:
          description: Sampling temperature; higher means more random output.
          title: Temperature
          order: 9
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        repetition_penalty:
          description: Penalty to reduce repeated tokens/codes.
          title: Repetition Penalty
          order: 10
          xStep: 0.01
          default: 1.05
          type: number
          minimum: 0
        subtalker_dosample:
          description: Sampling switch for the sub-talker.
          title: Subtalker Do Sample
          order: 11
          default: true
          type: boolean
        subtalker_top_k:
          description: Top-k sampling for the sub-talker.
          title: Subtalker Top K
          order: 12
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        subtalker_top_p:
          description: Top-p for sub-talker sampling.
          title: Subtalker Top P
          order: 13
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        subtalker_temperature:
          description: Temperature for sub-talker sampling.
          title: Subtalker Temperature
          order: 14
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        max_new_tokens:
          description: Maximum number of new codec tokens to generate.
          title: Max New Tokens
          order: 15
          xStep: 1
          default: 200
          type: integer
          minimum: 1
          maximum: 8192
      required:
        - text
      additionalProperties: false
    qwen_qwen_3_tts_text_to_speech_1_7bPrediction:
      type: object
      properties:
        id:
          description: Generation id.
          type: string
        status:
          $ref: '#/components/schemas/QueueState'
        input:
          $ref: '#/components/schemas/qwen_qwen_3_tts_text_to_speech_1_7bInputOutput'
          title: Qwen 3 TTS 1.7B Input
          description: Normalized input payload for the generation task.
        usage:
          $ref: '#/components/schemas/Usage'
        code:
          $ref: '#/components/schemas/__schema1'
        message:
          $ref: '#/components/schemas/__schema2'
      required:
        - id
        - status
        - input
        - usage
      additionalProperties: false
    TtsGenerationErrorResponse:
      type: object
      properties:
        error:
          description: >-
            Legacy machine-readable error field. Prefer `code` for new
            integrations.
          type: string
        code:
          description: >-
            TTS generation error code. `*_FAILED` is the generic fallback; more
            specific codes (`*_TIMEOUT`, `*_RATE_LIMITED`,
            `*_PROVIDER_UNAVAILABLE`, `*_UNSUPPORTED_MODEL`, `*_INVALID_INPUT`,
            `*_INSUFFICIENT_CREDITS`, `*_CONTENT_REJECTED`) are surfaced when
            applicable.
          type: string
          enum:
            - TTS_GENERATION_FAILED
            - TTS_GENERATION_TIMEOUT
            - TTS_GENERATION_RATE_LIMITED
            - TTS_GENERATION_PROVIDER_UNAVAILABLE
            - TTS_GENERATION_UNSUPPORTED_MODEL
            - TTS_GENERATION_INVALID_INPUT
            - TTS_GENERATION_INSUFFICIENT_CREDITS
            - TTS_GENERATION_CONTENT_REJECTED
        message:
          description: Human readable error message. Upstream vendor names are redacted.
          type: string
        errors:
          description: Field-level validation errors when available.
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
            additionalProperties: false
        details:
          description: Additional structured error details when available.
        requested:
          description: Requested credits when the error is insufficient credits.
          type: number
        available:
          description: Available credits when the error is insufficient credits.
          type: number
      required:
        - code
        - message
      additionalProperties: false
    TemplateErrorResponse:
      type: object
      properties:
        error:
          description: >-
            Legacy machine-readable error field. Prefer `code` for new
            integrations.
          type: string
        code:
          description: Template error code.
          type: string
          enum:
            - TEMPLATE_NOT_FOUND
            - TEMPLATE_MODEL_MISMATCH
            - TEMPLATE_INVALID_INPUT
            - TEMPLATE_TRANSFORM_FAILED
        message:
          description: Human readable template error message.
          type: string
        errors:
          description: Field-level template validation errors when available.
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
            additionalProperties: false
        details:
          description: Additional structured error details when available.
      required:
        - code
        - message
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        error:
          description: >-
            Legacy machine-readable error field. Prefer `code` for new
            integrations. This may contain an unprefixed compatibility code for
            older clients.
          type: string
        code:
          description: Machine-readable error code. Use this to branch in client code.
          type: string
        message:
          description: Human readable error message.
          type: string
        errors:
          description: Field-level validation errors when available.
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
            additionalProperties: false
        details:
          description: Additional structured error details when available.
      required:
        - code
        - message
      additionalProperties: false
    SeedanceVerificationErrorResponse:
      type: object
      properties:
        error:
          description: >-
            Legacy machine-readable error field. Prefer `code` for new
            integrations.
          type: string
        code:
          description: Seedance verification error code.
          type: string
          const: SEEDANCE_VERIFICATION_REQUIRED
        message:
          description: Human readable verification error message.
          type: string
        verification:
          description: Current Seedance verification state when available.
          anyOf:
            - {}
            - type: 'null'
      required:
        - code
        - message
      additionalProperties: false
    qwen_qwen_3_tts_text_to_speech_1_7bInput:
      title: Qwen 3 TTS 1.7B Input
      type: object
      properties:
        text:
          description: The text to be converted to speech.
          title: Text
          examples:
            - >-
              I am solving the equation x = (-b +/- sqrt(b^2-4ac)) / 2a. Nobody
              can, it is a disaster and very sad.
          order: 1
          xPlaceholder: Enter text to convert to speech...
          xRows: 4
          xUiKind: textarea
          xTemplateRequired: true
          type: string
        prompt:
          description: >-
            Optional prompt to guide the style of generated speech. Ignored when
            speaker embedding is provided.
          title: Style Prompt
          examples:
            - Very happy.
          order: 2
          xPlaceholder: e.g. Very happy.
          xRows: 2
          xUiKind: textarea
          type: string
        voice:
          description: >-
            Preset voice for synthesis. Ignored when speaker embedding is
            provided.
          title: Voice
          examples:
            - Vivian
          order: 3
          xMeta:
            voiceProfiles:
              - id: Vivian
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - bright
                  - slightly edgy
                  - young
                previewUrl: >-
                  https://s.skills.video/6/8_QRF_89_Ijgf_ZL_Uf4_PM_2rf_a12_J34_UA_865d1c918d_773576f4cf.mp3
              - id: Serena
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - warm
                  - gentle
                  - young
                previewUrl: >-
                  https://s.skills.video/6/Hlcm_T_Sb_Q_k2_R0d2ow_WS_Lr_MK_Nb5k8_G_315b5a4879_06d7a74a81.mp3
              - id: Uncle_Fu
                language: Chinese
                languageCode: zh
                gender: male
                styleTags:
                  - seasoned
                  - low
                  - mellow
                previewUrl: >-
                  https://s.skills.video/6/Zq_Xqv_BU_89l7_M3_XKKHN_6_UU_Pwi3m0_a2b27c13cb_50d9bb47a3.mp3
              - id: Dylan
                language: Chinese (Beijing Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - beijing dialect
                  - youthful
                  - clear
                previewUrl: >-
                  https://s.skills.video/6/FKO_Zd_Jtg_IR_Ix_Sw0_LM_3_Pc_J_L_Jj_Ljem5_bfd941bdf4_fb07964a16.mp3
              - id: Eric
                language: Chinese (Sichuan Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - sichuan dialect
                  - lively
                  - husky
                previewUrl: >-
                  https://s.skills.video/6/x90_Lg8t6kz_PZ_5n_Rxnu_If_F_j9_UQKP_87_02a09f36fd_e82722b118.mp3
              - id: Ryan
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - dynamic
                  - rhythmic
                  - energetic
                previewUrl: >-
                  https://s.skills.video/6/g_Hw_IY_1_Q8l_B_Mx_CUYD_6_Qd_My_xya_QCPRI_afa60a3b52_4b05c8415e.mp3
              - id: Aiden
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - sunny
                  - american
                  - clear midrange
                previewUrl: >-
                  https://s.skills.video/6/f_Og_Q4k5hky2_DK_Zr_KCNTA_a_H9_EIM_8i_0d46328589_abdfd46131.mp3
              - id: Ono_Anna
                language: Japanese
                languageCode: ja
                gender: female
                styleTags:
                  - playful
                  - light
                  - nimble
                previewUrl: >-
                  https://s.skills.video/6/gbryl_Ve_Co7z_GXUI_Mt_Rd_Q_w_LA_Bq_Yq8_9ac8d73014_2ee8418e3a.mp3
              - id: Sohee
                language: Korean
                languageCode: ko
                gender: female
                styleTags:
                  - warm
                  - emotional
                  - rich
                previewUrl: >-
                  https://s.skills.video/6/W_Ppg_K_Bul_Uk_I_Wyh_Mw_T_Nh_h_E6_P3_O_Cn_3273716cb7_9d5896f0c3.mp3
          type: string
          enum:
            - Vivian
            - Serena
            - Uncle_Fu
            - Dylan
            - Eric
            - Ryan
            - Aiden
            - Ono_Anna
            - Sohee
        language:
          description: The language of the voice.
          title: Language
          examples:
            - English
          order: 4
          default: Auto
          type: string
          enum:
            - Auto
            - English
            - Chinese
            - Spanish
            - French
            - German
            - Italian
            - Japanese
            - Korean
            - Portuguese
            - Russian
        speaker_voice_embedding_file_url:
          description: >-
            URL to a speaker embedding safetensors file from
            `fal-ai/qwen-3-tts/clone-voice`. If provided, cloned voice is used
            instead of predefined voices.
          title: Speaker Embedding URL
          examples:
            - >-
              https://storage.googleapis.com/falserverless/example_outputs/qwen3-tts/clone_out.safetensors
          format: uri
          order: 5
          xPlaceholder: https://...
          type: string
        reference_text:
          description: >-
            Optional reference text used when creating the speaker embedding.
            This can improve quality when using cloned voice.
          title: Reference Text
          examples:
            - >-
              Okay. Yeah. I resent you. I love you. I respect you. But you know
              what? You blew it!
          order: 6
          xRows: 3
          xUiKind: textarea
          type: string
        top_k:
          description: Top-k sampling parameter.
          title: Top K
          order: 7
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        top_p:
          description: Top-p sampling parameter.
          title: Top P
          order: 8
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        temperature:
          description: Sampling temperature; higher means more random output.
          title: Temperature
          order: 9
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        repetition_penalty:
          description: Penalty to reduce repeated tokens/codes.
          title: Repetition Penalty
          order: 10
          xStep: 0.01
          default: 1.05
          type: number
          minimum: 0
        subtalker_dosample:
          description: Sampling switch for the sub-talker.
          title: Subtalker Do Sample
          order: 11
          default: true
          type: boolean
        subtalker_top_k:
          description: Top-k sampling for the sub-talker.
          title: Subtalker Top K
          order: 12
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        subtalker_top_p:
          description: Top-p for sub-talker sampling.
          title: Subtalker Top P
          order: 13
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        subtalker_temperature:
          description: Temperature for sub-talker sampling.
          title: Subtalker Temperature
          order: 14
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        max_new_tokens:
          description: Maximum number of new codec tokens to generate.
          title: Max New Tokens
          order: 15
          xStep: 1
          default: 200
          type: integer
          minimum: 1
          maximum: 8192
      required:
        - text
      additionalProperties: false
    QueueState:
      description: Queue status
      type: string
      enum:
        - IN_QUEUE
        - IN_PROGRESS
        - COMPLETED
        - FAILED
        - CANCELED
    qwen_qwen_3_tts_text_to_speech_1_7bInputOutput:
      $ref: '#/components/schemas/__schema70'
      title: Qwen 3 TTS 1.7B Input
    Usage:
      description: Credit usage breakdown for the request
      type: object
      properties:
        total:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        subscription:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        permanent:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
      required:
        - total
        - subscription
        - permanent
      additionalProperties: false
    __schema1:
      description: >-
        Machine-readable generation error code. Present when `status` is
        `FAILED`.
      type: string
    __schema2:
      description: >-
        Sanitized human-readable failure message. Present when `status` is
        `FAILED`.
      type: string
    __schema70:
      title: Qwen 3 TTS 1.7B Input
      type: object
      properties:
        text:
          description: The text to be converted to speech.
          title: Text
          examples:
            - >-
              I am solving the equation x = (-b +/- sqrt(b^2-4ac)) / 2a. Nobody
              can, it is a disaster and very sad.
          order: 1
          xPlaceholder: Enter text to convert to speech...
          xRows: 4
          xUiKind: textarea
          xTemplateRequired: true
          type: string
        prompt:
          description: >-
            Optional prompt to guide the style of generated speech. Ignored when
            speaker embedding is provided.
          title: Style Prompt
          examples:
            - Very happy.
          order: 2
          xPlaceholder: e.g. Very happy.
          xRows: 2
          xUiKind: textarea
          type: string
        voice:
          description: >-
            Preset voice for synthesis. Ignored when speaker embedding is
            provided.
          title: Voice
          examples:
            - Vivian
          order: 3
          xMeta:
            voiceProfiles:
              - id: Vivian
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - bright
                  - slightly edgy
                  - young
                previewUrl: >-
                  https://s.skills.video/6/8_QRF_89_Ijgf_ZL_Uf4_PM_2rf_a12_J34_UA_865d1c918d_773576f4cf.mp3
              - id: Serena
                language: Chinese
                languageCode: zh
                gender: female
                styleTags:
                  - warm
                  - gentle
                  - young
                previewUrl: >-
                  https://s.skills.video/6/Hlcm_T_Sb_Q_k2_R0d2ow_WS_Lr_MK_Nb5k8_G_315b5a4879_06d7a74a81.mp3
              - id: Uncle_Fu
                language: Chinese
                languageCode: zh
                gender: male
                styleTags:
                  - seasoned
                  - low
                  - mellow
                previewUrl: >-
                  https://s.skills.video/6/Zq_Xqv_BU_89l7_M3_XKKHN_6_UU_Pwi3m0_a2b27c13cb_50d9bb47a3.mp3
              - id: Dylan
                language: Chinese (Beijing Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - beijing dialect
                  - youthful
                  - clear
                previewUrl: >-
                  https://s.skills.video/6/FKO_Zd_Jtg_IR_Ix_Sw0_LM_3_Pc_J_L_Jj_Ljem5_bfd941bdf4_fb07964a16.mp3
              - id: Eric
                language: Chinese (Sichuan Dialect)
                languageCode: zh
                gender: male
                styleTags:
                  - sichuan dialect
                  - lively
                  - husky
                previewUrl: >-
                  https://s.skills.video/6/x90_Lg8t6kz_PZ_5n_Rxnu_If_F_j9_UQKP_87_02a09f36fd_e82722b118.mp3
              - id: Ryan
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - dynamic
                  - rhythmic
                  - energetic
                previewUrl: >-
                  https://s.skills.video/6/g_Hw_IY_1_Q8l_B_Mx_CUYD_6_Qd_My_xya_QCPRI_afa60a3b52_4b05c8415e.mp3
              - id: Aiden
                language: English
                languageCode: en
                gender: male
                styleTags:
                  - sunny
                  - american
                  - clear midrange
                previewUrl: >-
                  https://s.skills.video/6/f_Og_Q4k5hky2_DK_Zr_KCNTA_a_H9_EIM_8i_0d46328589_abdfd46131.mp3
              - id: Ono_Anna
                language: Japanese
                languageCode: ja
                gender: female
                styleTags:
                  - playful
                  - light
                  - nimble
                previewUrl: >-
                  https://s.skills.video/6/gbryl_Ve_Co7z_GXUI_Mt_Rd_Q_w_LA_Bq_Yq8_9ac8d73014_2ee8418e3a.mp3
              - id: Sohee
                language: Korean
                languageCode: ko
                gender: female
                styleTags:
                  - warm
                  - emotional
                  - rich
                previewUrl: >-
                  https://s.skills.video/6/W_Ppg_K_Bul_Uk_I_Wyh_Mw_T_Nh_h_E6_P3_O_Cn_3273716cb7_9d5896f0c3.mp3
          type: string
          enum:
            - Vivian
            - Serena
            - Uncle_Fu
            - Dylan
            - Eric
            - Ryan
            - Aiden
            - Ono_Anna
            - Sohee
        language:
          description: The language of the voice.
          title: Language
          examples:
            - English
          order: 4
          default: Auto
          type: string
          enum:
            - Auto
            - English
            - Chinese
            - Spanish
            - French
            - German
            - Italian
            - Japanese
            - Korean
            - Portuguese
            - Russian
        speaker_voice_embedding_file_url:
          description: >-
            URL to a speaker embedding safetensors file from
            `fal-ai/qwen-3-tts/clone-voice`. If provided, cloned voice is used
            instead of predefined voices.
          title: Speaker Embedding URL
          examples:
            - >-
              https://storage.googleapis.com/falserverless/example_outputs/qwen3-tts/clone_out.safetensors
          format: uri
          order: 5
          xPlaceholder: https://...
          type: string
        reference_text:
          description: >-
            Optional reference text used when creating the speaker embedding.
            This can improve quality when using cloned voice.
          title: Reference Text
          examples:
            - >-
              Okay. Yeah. I resent you. I love you. I respect you. But you know
              what? You blew it!
          order: 6
          xRows: 3
          xUiKind: textarea
          type: string
        top_k:
          description: Top-k sampling parameter.
          title: Top K
          order: 7
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        top_p:
          description: Top-p sampling parameter.
          title: Top P
          order: 8
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        temperature:
          description: Sampling temperature; higher means more random output.
          title: Temperature
          order: 9
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        repetition_penalty:
          description: Penalty to reduce repeated tokens/codes.
          title: Repetition Penalty
          order: 10
          xStep: 0.01
          default: 1.05
          type: number
          minimum: 0
        subtalker_dosample:
          description: Sampling switch for the sub-talker.
          title: Subtalker Do Sample
          order: 11
          default: true
          type: boolean
        subtalker_top_k:
          description: Top-k sampling for the sub-talker.
          title: Subtalker Top K
          order: 12
          xStep: 1
          default: 50
          type: integer
          minimum: 0
          maximum: 9007199254740991
        subtalker_top_p:
          description: Top-p for sub-talker sampling.
          title: Subtalker Top P
          order: 13
          xStep: 0.01
          default: 1
          type: number
          minimum: 0
          maximum: 1
        subtalker_temperature:
          description: Temperature for sub-talker sampling.
          title: Subtalker Temperature
          order: 14
          xStep: 0.01
          default: 0.9
          type: number
          minimum: 0
          maximum: 1
        max_new_tokens:
          description: Maximum number of new codec tokens to generate.
          title: Max New Tokens
          order: 15
          xStep: 1
          default: 200
          type: integer
          minimum: 1
          maximum: 8192
      required:
        - text
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key for API endpoints

````